//----------------------------------------------------------------------------
//  File:   UDPExampleDlg.h
//
//  Desc:   Example MFC Application that shows how to use the AMISocket Class
//
//  c.2003  Alcorn McBride - Scott Harkless
//----------------------------------------------------------------------------

#pragma once

#include "AMISocket.h"

// CUDPExampleDlg dialog
class CUDPExampleDlg : public CDialog
{
// Construction
public:
	CUDPExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_UDPEXAMPLE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	
	// Ethernet UDP Handler
	afx_msg LRESULT OnUDPMsg(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
public:
	CString m_cstrResponse;

	// AMI Socket Object
	CAmiSocket m_UDPControlSocket;

	// Button Controls
	afx_msg void OnBnClickedSearch();
	afx_msg void OnBnClickedPlay();
	afx_msg void OnBnClickedStop();
};
